/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-30
 * 描述            ：质量设计-全制程工序点信息
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.slmord.impl;
import java.util.List;

import market.Com.vo.ResultModel;
import market.Qms.common.DataHelper;
import market.Qms.slmord.mapper.SlmOrdDesignMscPlStiMapper;
import market.Qms.slmord.service.SlmOrdDesignMscPlStiService;
import market.Qms.slmord.vo.SlmOrdDesignMscPlSti;

import com.hnshituo.basic.service.impl.BaseServiceImpl;
import com.hnshituo.basic.spring.remoting.annotation.RemoteService;

@RemoteService(path="SlmOrdDesignMscPlStiService")
public class SlmOrdDesignMscPlStiServiceImpl extends BaseServiceImpl<SlmOrdDesignMscPlSti,Object> implements SlmOrdDesignMscPlStiService {

	/**
	 * 获取质量设计工序点信息
	 * @param sti 
	 * @return
	 */
	public ResultModel GetOrdDesignMscPlSti(SlmOrdDesignMscPlSti sti){
		ResultModel rm=new ResultModel("200","获取数据成功");
		try{
			if(DataHelper.IsNullOrSpace(sti.getDesign_key())){
				rm.setState("403");
				rm.setMsgInfo("designKey不能为空");
				return rm;
			}
			List<SlmOrdDesignMscPlSti> list=this.getMapper(SlmOrdDesignMscPlStiMapper.class).find(sti, 0, 0);
			rm.setData(list);
		}catch(Exception ex){
			rm.setErrorInfo(ex.getMessage());
			rm.setState("500");
			rm.setMsgInfo("获取工序点数据出错");
		}
		return rm;
	}
	
}
